{

  buildGoModule,
  fetchFromGitHub,

}: buildGoModule rec {

  pname = "nebula";

  # If this changes, remember to change:
  # - the AppDir/etc/daemon.yml vpn.firewall docs
  # - the version imported in go-workspace
  version = "1.6.1";

  src = fetchFromGitHub {
    owner = "slackhq";
    repo = pname;
    rev = "v${version}";
    sha256 = "sha256-IsLSlQsrfw3obkz4jHL23BRQY2fviGbPEvs5j0zkdX0=";
  };

  vendorSha256 = "sha256-GvMiOEC3Y/pGG++Z+XCgLVADKymUR9shDxjx3xIz8u0=";

  subPackages = [ "cmd/nebula" "cmd/nebula-cert" ];

  ldflags = [ "-X main.Build=${version}" ];
}
